Cyanoware API Documentation

Integrate our satellite-based insights seamlessly into your own application.

Authentication

The Cyanoware API uses API Keys to authenticate requests. Send your API Key in the X-API-Key header of your HTTP request.

curl -X GET 'https://cyanoware.com/api/v1/cyanoware/lakes' \
  -H 'X-API-Key: YOUR_API_KEY'

Rate Limits

To prevent abuse, requests to the API are limited:

  • Stats Endpoint: 30 Requests per minute per IP.
  • Lakes Endpoint: 60 Requests per minute per IP.
  • Status Endpoint: 120 Requests per minute per IP.

If exceeded, a 429 Too Many Requests status code is returned.

Endpoints

Get/api/v1/cyanoware/lakes

Returns a paginated list of all officially monitored lakes in the system.

Query Parameters

ParameterTypeDescription
limitintegerOptional. Number of lakes (Default 50, Max 5000).
offsetintegerOptional. Pagination offset.

Response Object

FieldTypeDescription
external_idstringUnique ID of the lake.
namestringOfficial name of the lake.
latitude / longitudefloatCenter coordinates (Latitude / Longitude).